Loading...
Searching...
No Matches
htmlmap.h File Reference
`#include <stdio.h>`
`#include "path.h"`
Include dependency graph for htmlmap.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | MapPoly
struct | html_state

## Macros

#define | DEF_MINBBOX 2
#define | DEF_MINDIST 2
#define | DEF_MAXPTS 99
#define | FILE_NAME "htmlmap"
#define | INITIAL_TEXT 1000
#define | APACHE 0 /* write output in apache/ncsa server image map format */
#define | NCSA 0 /* write output in apache/ncsa server image map format */
#define | CLIENT 1 /* write output in netscape client side image map format */
#define | RAW 2 /* write output in raw format */

## Functions

void | HTML_Begin (void)
void | HTML_Move (double, double)
void | HTML_Cont (double, double)
void | HTML_Close (void)
void | HTML_Fill (void)
void | HTML_Stroke (void)
const struct driver * | HTML_Driver (void)
void | HTML_Graph_close (void)
int | HTML_Graph_set (void)
void | HTML_Box (double, double, double, double)
void | html_polygon (const struct path *)
void | HTML_Text (const char *)

## Variables

struct html_state | html

## Macro Definition Documentation

## APACHE

#define APACHE 0 /* write output in apache/ncsa server image map format */

Definition at line 12 of file htmlmap.h.

Referenced by HTML_Graph_close(), and HTML_Graph_set().

## CLIENT

#define CLIENT 1 /* write output in netscape client side image map format */

Definition at line 14 of file htmlmap.h.

Referenced by HTML_Graph_close(), and HTML_Graph_set().

## DEF_MAXPTS

#define DEF_MAXPTS 99

Definition at line 6 of file htmlmap.h.

Referenced by HTML_Graph_set().

## DEF_MINBBOX

#define DEF_MINBBOX 2

Definition at line 4 of file htmlmap.h.

Referenced by HTML_Graph_set().

## DEF_MINDIST

#define DEF_MINDIST 2

Definition at line 5 of file htmlmap.h.

Referenced by HTML_Graph_set().

## FILE_NAME

#define FILE_NAME "htmlmap"

Definition at line 8 of file htmlmap.h.

Referenced by HTML_Graph_set(), PNG_Graph_set(), and PS_Graph_set().

## INITIAL_TEXT

#define INITIAL_TEXT 1000

Definition at line 10 of file htmlmap.h.

Referenced by HTML_Graph_set().

## NCSA

#define NCSA 0 /* write output in apache/ncsa server image map format */

Definition at line 13 of file htmlmap.h.

## RAW

#define RAW 2 /* write output in raw format */

Definition at line 15 of file htmlmap.h.

Referenced by HTML_Graph_close(), and HTML_Graph_set().

## Function Documentation

## HTML_Begin()

void HTML_Begin | ( | void |  | ) |

extern

Definition at line 7 of file htmldriver/draw.c.

References path_begin().

Referenced by HTML_Box(), and HTML_Driver().

## HTML_Box()

void HTML_Box | ( | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2 )

extern

Definition at line 3 of file htmldriver/box.c.

References HTML_Begin(), HTML_Cont(), HTML_Fill(), and HTML_Move().

Referenced by HTML_Driver().

## HTML_Close()

void HTML_Close | ( | void |  | ) |

extern

Definition at line 22 of file htmldriver/draw.c.

References path_close().

Referenced by HTML_Driver().

## HTML_Cont()

void HTML_Cont | ( | double | x,
|  | double | y )

extern

Definition at line 17 of file htmldriver/draw.c.

References path_cont(), and x.

Referenced by HTML_Box(), and HTML_Driver().

## HTML_Driver()

const struct driver * HTML_Driver | ( | void |  | ) |

extern

Definition at line 20 of file htmldriver/driver.c.

References driver::Begin, driver::Begin_raster, driver::Bitmap, driver::Box, driver::Close, driver::Color, driver::Cont, driver::End_raster, driver::Erase, driver::Fill, driver::Font_info, driver::Font_list, driver::Graph_close, driver::Graph_get_file, driver::Graph_set, HTML_Begin(), HTML_Box(), HTML_Close(), HTML_Cont(), HTML_Fill(), HTML_Graph_close(), HTML_Graph_set(), HTML_Move(), HTML_Stroke(), HTML_Text(), driver::Line_width, driver::Move, driver::name, NULL, driver::Point, driver::Raster, driver::Set_font, driver::Set_window, driver::Stroke, driver::Text, and driver::Text_box.

## HTML_Fill()

void HTML_Fill | ( | void |  | ) |

extern

Definition at line 27 of file htmldriver/draw.c.

References html_polygon().

Referenced by HTML_Box(), and HTML_Driver().

## HTML_Graph_close()

void HTML_Graph_close | ( | void |  | ) |

extern

Definition at line 28 of file graph_clse.c.

References APACHE, CLIENT, html, MapPoly::next_poly, NULL, MapPoly::num_pts, RAW, screen_height, screen_width, MapPoly::x_pts, and MapPoly::y_pts.

Referenced by HTML_Driver().

## HTML_Graph_set()

int HTML_Graph_set | ( | void |  | ) |

extern

Definition at line 26 of file htmldriver/graph_set.c.

References APACHE, CLIENT, DEF_MAXPTS, DEF_MINBBOX, DEF_MINDIST, FILE_NAME, G_fatal_error(), G_verbose_message(), html, INITIAL_TEXT, NULL, RAW, screen_height, and screen_width.

Referenced by HTML_Driver().

## HTML_Move()

void HTML_Move | ( | double | x,
|  | double | y )

extern

Definition at line 12 of file htmldriver/draw.c.

References path_move(), and x.

Referenced by HTML_Box(), and HTML_Driver().

## html_polygon()

void html_polygon | ( | const struct path * | p | ) |

extern

Definition at line 51 of file htmldriver/polygon.c.

References path::count, G_free(), G_store(), html, NULL, path::vertices, vertex::x, x, and vertex::y.

Referenced by HTML_Fill().

## HTML_Stroke()

void HTML_Stroke | ( | void |  | ) |

extern

Definition at line 32 of file htmldriver/draw.c.

References path_reset().

Referenced by HTML_Driver().

## HTML_Text()

void HTML_Text | ( | const char * | text | ) |

extern

Definition at line 9 of file htmldriver/text.c.

References G_free(), and html.

Referenced by HTML_Driver().

## Variable Documentation

## html

struct html_state html

extern

Definition at line 24 of file htmldriver/graph_set.c.

Referenced by HTML_Graph_close(), HTML_Graph_set(), html_polygon(), and HTML_Text().